Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_dirent.inl File Reference

`#include "ace/OS_Memory.h"`

Include dependency graph for OS_NS_dirent.inl:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Functions
ACE_INLINE int | scandir (const ACE_TCHAR *dirname, struct ACE_DIRENT **namelist[], int(*selector)(const struct ACE_DIRENT *), int(*comparator)(const struct ACE_DIRENT **f1, const struct ACE_DIRENT **f2))

## Function Documentation

ACE_INLINE int scandir | ( | const ACE_TCHAR * | dirname,
|  | struct ACE_DIRENT ** | namelist[],
|  | int(*)(const struct ACE_DIRENT *) | selector,
|  | int(*)(const struct ACE_DIRENT **f1, const struct ACE_DIRENT **f2) | comparator
| ) |